local S = core.get_translator(core.get_current_modname())

subnodes.register_subnodes("conifer:tree", {
	["stairs:inner_stair"] = {
		description = S("Inner Conifer Tree Stair"),
		tiles = {
			"conifer_tree_top.png", "conifer_tree_top.png",
			"conifer_tree_split_left.png", "conifer_tree.png",
			"conifer_tree.png", "conifer_tree_split_right.png"
		},
	},
	["stairs:outer_stair"] = {
		description = S("Outer Conifer Tree Stair"),
		tiles = {
			"conifer_tree_top.png", "conifer_tree_top.png",
			"conifer_tree_split_right.png", "conifer_tree.png",
			"conifer_tree.png", "conifer_tree_split_left.png"
		},
	},
	["stairs:slab"] = {
		description = S("Conifer Tree Slab"),
	},
	["stairs:stair"] = {
		description = S("Conifer Tree Stair"),
		tiles = {
			"conifer_tree_top.png", "conifer_tree_top.png",
			"conifer_tree.png", "conifer_tree.png",
			"conifer_tree.png", "conifer_tree_split.png"
		},
	},
	["stairsplus:halfstair"] = {
		description = S("Conifer Tree Half Stair"),
		tiles = {
			"conifer_tree_top.png", "conifer_tree_top.png",
			"conifer_tree.png", "conifer_tree.png",
			"conifer_tree.png", "conifer_tree_split.png"
		},
	},
	["stairsplus:micro"] = {
		description = S("Conifer Tree Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Conifer Tree Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Conifer Tree Half Stair"),
		tiles = {
			"conifer_tree_top.png", "conifer_tree_top.png",
			"conifer_tree.png", "conifer_tree.png",
			"conifer_tree.png", "conifer_tree_split.png"
		},
	},
})

subnodes.register_subnodes("conifer:wood", {
	["stairs:inner_stair"] = {
		description = S("Inner Conifer Wood Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Conifer Wood Stair"),
	},
	["stairs:slab"] = {
		description = S("Conifer Wood Slab"),
	},
	["stairs:stair"] = {
		description = S("Conifer Wood Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Conifer Wood Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Conifer Wood Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Conifer Wood Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Conifer Wood Half Stair"),
	},
})
